CVE-2024-28084

NameCVE-2024-28084
Descriptionp2putil.c in iNet wireless daemon (IWD) through 2.15 allows attackers to cause a denial of service (daemon crash) or possibly have unspecified other impact because of initialization issues in situations where parsing of advertised service information fails.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1065443

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
iwd (PTS)buster0.14-2fixed
buster (security)0.14-2+deb10u1fixed
bullseye1.14-3vulnerable
bullseye (security)1.14-3+deb11u1vulnerable
bookworm2.3-1vulnerable
bookworm (security)2.3-1+deb12u1vulnerable
trixie2.15-1vulnerable
sid2.17-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
iwdsourcebuster(not affected)
iwdsource(unstable)2.16-11065443

Notes

[bookworm] - iwd <no-dsa> (Minor issue)
[bullseye] - iwd <no-dsa> (Minor issue)
[buster] - iwd <not-affected> (Vulnerable code not present)
https://git.kernel.org/pub/scm/network/wireless/iwd.git/commit/?id=52a47c9fd428904de611a90cbf8b223af879684d (2.16)
https://git.kernel.org/pub/scm/network/wireless/iwd.git/commit/?id=d34b4e16e045142590ed7cb653e01ed0ae5362eb (2.16)
first version of p2putil in 0.19, P2P is supported since 1.8

Search for package or bug name: Reporting problems